<template>
      <div class="nav-bar"></div>
      
      <div class="product-display">
        <div class="product-container">
          <div class="product-image">
            <img v-bind:src="image">
          </div>
          <div class="product-info">
            <h1>{{ product }}</h1>
            <p v-if="inStock">In Stock</p>
            <p v-else>Out of Stock</p>
            <ul>
              <li v-for="(detail , index) in details" :key="index">{{ detail }}</li>
            </ul>
            <ul>
              <li v-for="(size, index) in sizes" :key="index">{{ size }}</li>
            </ul>
            <div v-for="variant in variants" :key="variant.id">{{ variant.color }}</div>
          </div>
        </div>
      </div>
    
</template>


<script>
export default {
    data() {
        return {
            product: 'Socks',
            image: require('@/assets/logo.png'),
            inStock: true,
            details: ['50% cotton', '30% wool', '20% polyester'],
            sizes: ['S', 'M', 'L', 'XL'],
            variants: [
              { id: 2234, color: 'green' },
              { id: 2235, color: 'blue' },
            ]
        }
    }
}
</script>

